Validate
Validate the AD Integration Settings
Query parameters
enrollmentServerIdinteger · int32Optional
RAS Agent Server name
siteIdinteger · int32Optional
Site ID in which to modify the specified server.
Body
certificateAuthoritystring · min: 1 · max: 255 · nullableOptional
Certificate authority
enrollmentAgentUsernamestring · min: 1 · max: 255 · nullableOptional
Username of the enrollment agent
enrollmentAgentPasswordstring · nullableOptional
Password of the account specified in the EnrollmentAgentUsername parameter.
nlaUsernamestring · min: 1 · max: 255 · nullableOptional
Principal name in UPN format used to initialize the RDP session.
nlaPasswordstring · nullableOptional
Password of the account specified in the NLAUsername parameter.
Responses
200
Success
application/json; api-version=1.0
AD Integration Settings
siteIdinteger · int32Optional
The site ID to which the AD integration settings refer to.
certificateAuthoritystring · nullableOptional
Certificate authority
enrollmentAgentUsernamestring · nullableOptional
Principal name in UPN format that will enroll certificates on behalf of other users.
nlaUsernamestring · nullableOptional
Username of the network level authentication
401
Unauthorized
application/json; api-version=1.0
404
Not Found
application/json; api-version=1.0
post/api/ADIntegrationSettings/Validate
POST /api/ADIntegrationSettings/Validate HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 139
{
"certificateAuthority": "text",
"enrollmentAgentUsername": "text",
"enrollmentAgentPassword": "text",
"nlaUsername": "text",
"nlaPassword": "text"
}{
"siteId": 1,
"certificateAuthority": "text",
"enrollmentAgentUsername": "text",
"nlaUsername": "text"
}Last updated